Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_text_estimate.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_text_estimate.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_text_estimate.c	(revision 25147)
@@ -91,11 +91,11 @@
 typedef struct stats_t
   {
-    u_long freq, occur;
-    u_long len;
+    mg_u_long freq, occur;
+    mg_u_long len;
   }
 stats_t;
 
-static u_long huff_count = 0;
-static u_long escape_count = 0;
+static mg_u_long huff_count = 0;
+static mg_u_long escape_count = 0;
 
 
@@ -106,5 +106,5 @@
 static double ReadInWordsSpecial (char *name, double *num_bytes,
 				  double *num_extra_bytes,
-				  u_long *aux_compressed);
+				  mg_u_long *aux_compressed);
 
 
@@ -116,5 +116,5 @@
   ProgTime StartTime;
   double num_bytes, num_extra_bytes = 0; /* [RJM 07/97: 4G limit] */
-  u_long aux_compressed;
+  mg_u_long aux_compressed;
   int ch;
   double bytes;
@@ -207,5 +207,5 @@
   compression_stats_header csh;
   FILE *f;
-  u_long which;
+  mg_u_long which;
   double bytes, bits = 0;
 
@@ -246,5 +246,5 @@
 	  if (ht[which])
 	    {
-	      register unsigned long hashval, step;
+	      register mg_u_long hashval, step;
 	      register int tsize = ht[which]->size;
 	      register u_char **wptr;
@@ -335,5 +335,5 @@
   bits += 5.5 * csh.num_docs;
 
-  bytes = bits / 8 + sizeof (compressed_text_header) + sizeof (u_long);
+  bytes = bits / 8 + sizeof (compressed_text_header) + sizeof (mg_u_long);
 
   *num_bytes = csh.num_bytes;
@@ -356,9 +356,9 @@
 ReadInWordsSpecial (char *name, double *num_bytes,
 		    double *num_extra_bytes,
-		    u_long *aux_compressed)
+		    mg_u_long *aux_compressed)
 {
   compression_stats_header csh;
   FILE *f;
-  u_long magic, which;
+  mg_u_long magic, which;
   double bytes, bits = 0;
   double size[2];
@@ -386,5 +386,5 @@
       frags_stats_header fsh;
       int j, num = 0;
-      long lens[16], chars[256];
+      mg_s_long lens[16], chars[256];
 
       bzero ((char *) lens, sizeof (lens));
@@ -420,5 +420,5 @@
 	  if (ht[which])
 	    {
-	      register unsigned long hashval, step;
+	      register mg_u_long hashval, step;
 	      register int tsize = ht[which]->size;
 	      register u_char **wptr;
@@ -489,5 +489,5 @@
 	int j, num_buckets = 0;
 	int start[10], end[10];
-	long flens[16], fchars[256];
+	mg_u_long flens[16], fchars[256];
 
 	for (j = 0; j < 256; j++)
@@ -577,5 +577,5 @@
   bits += 5.5 * csh.num_docs;
 
-  bytes = bits / 8 + sizeof (compressed_text_header) + sizeof (u_long);
+  bytes = bits / 8 + sizeof (compressed_text_header) + sizeof (mg_u_long);
 
   *num_bytes = csh.num_bytes;
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_text_merge.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_text_merge.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_text_merge.c	(revision 25147)
@@ -43,5 +43,5 @@
 FileName old_name, new_name, merge_name;
 
-long magicsize;			/* == where the header in a file begins */
+mg_s_long magicsize;			/* == where the header in a file begins */
 
 compressed_text_header cth[3];
@@ -100,5 +100,5 @@
 {
   int i;
-  u_long data, offset;
+  mg_u_long data, offset;
   byte c;
 
@@ -135,10 +135,10 @@
   for (i = 0; i < cth[OLD].num_of_docs; i++)
     {
-      fread (&data, sizeof (u_long), 1, idx[OLD]);
-      fwrite (&data, sizeof (u_long), 1, idx[MERGE]);
+      fread (&data, sizeof (mg_u_long), 1, idx[OLD]);
+      fwrite (&data, sizeof (mg_u_long), 1, idx[MERGE]);
     }
 
   /* offset is the amount to add to each entry from idx[NEW] */
-  fread (&offset, sizeof (u_long), 1, idx[OLD]);
+  fread (&offset, sizeof (mg_u_long), 1, idx[OLD]);
   NTOHUL(offset);  /* [RPAP - Jan 97: Endian Ordering] */
   offset -= (4 + sizeof (cth[OLD]));	/* 4 for the magic number */
@@ -146,16 +146,16 @@
   for (i = 0; i < cth[NEW].num_of_docs; i++)
     {
-      fread (&data, sizeof (u_long), 1, idx[NEW]);
+      fread (&data, sizeof (mg_u_long), 1, idx[NEW]);
       NTOHUL(data);  /* [RPAP - Jan 97: Endian Ordering] */
       data += offset;
       HTONUL(data);  /* [RPAP - Jan 97: Endian Ordering] */
-      fwrite (&data, sizeof (u_long), 1, idx[MERGE]);
+      fwrite (&data, sizeof (mg_u_long), 1, idx[MERGE]);
     }
-  /* write last u_long in idx[MERGE] (= length of file) */
-  fread (&data, sizeof (u_long), 1, idx[NEW]);
+  /* write last mg_u_long in idx[MERGE] (= length of file) */
+  fread (&data, sizeof (mg_u_long), 1, idx[NEW]);
   NTOHUL(data);  /* [RPAP - Jan 97: Endian Ordering] */
   data += offset;
   HTONUL(data);  /* [RPAP - Jan 97: Endian Ordering] */
-  fwrite (&data, sizeof (u_long), 1, idx[MERGE]);
+  fwrite (&data, sizeof (mg_u_long), 1, idx[MERGE]);
 
 /******* update .text *******/
@@ -188,5 +188,5 @@
   fclose (idx[NEW]);
 
-  fprintf (stderr, "mg_text_merge: %ld documents added to %s\n",
+  fprintf (stderr, "mg_text_merge: %d documents added to %s\n",
 	   cth[NEW].num_of_docs, merge_name);
 
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_weights_build.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_weights_build.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/mg_weights_build.c	(revision 25147)
@@ -38,5 +38,5 @@
 #include "words.h"
 
-#define MAXBITS (sizeof(unsigned long) * 8)
+#define MAXBITS (sizeof(mg_u_long) * 8)
 
 /*
@@ -81,9 +81,9 @@
 static char *file_name = "";
 static char *text_file_name = "";
-static unsigned long NumPara = 0;
-static unsigned long StaticNumOfDocs = 0;
-
-unsigned long get_NumPara (void);
-unsigned long get_StaticNumOfDocs (void);
+static mg_u_long NumPara = 0;
+static mg_u_long StaticNumOfDocs = 0;
+
+mg_u_long get_NumPara (void);
+mg_u_long get_StaticNumOfDocs (void);
 void GenerateWeights (void);
 void Make_weight_approx (void);
@@ -141,5 +141,5 @@
 
 
-unsigned long 
+mg_u_long 
 get_NumPara (void)
 {
@@ -158,5 +158,5 @@
 
 
-unsigned long 
+mg_u_long 
 get_StaticNumOfDocs (void)
 /* the static number of documents is the N parameter used to
@@ -253,5 +253,5 @@
     {
       u_char dummy1, dummy2[MAXSTEMLEN + 1];
-      unsigned long fcnt, wcnt, blk, CurrDoc, p, j;
+      mg_u_long fcnt, wcnt, blk, CurrDoc, p, j;
       float idf;
 
@@ -281,5 +281,5 @@
       /* check the inverted file index entry for this word */
       {
-	unsigned long loc;
+	mg_u_long loc;
 	fread ((char *) &loc, sizeof (loc), 1, idx);
 	NTOHUL(loc);  /* [RPAP - Jan 97: Endian Ordering] */
@@ -292,5 +292,5 @@
       for (j = 0; j < p; j++)
 	{
-	  unsigned long x, tf;
+	  mg_u_long x, tf;
 	  BBLOCK_DECODE (x, blk);
 	  CurrDoc += x;
@@ -346,5 +346,5 @@
 {
   int i, pos, max;
-  unsigned long buf;
+  mg_u_long buf;
   double U, L, B;
   FILE *approx, *exact;
@@ -368,5 +368,5 @@
 
     }
-  fseek (exact, sizeof (u_long), SEEK_SET);
+  fseek (exact, sizeof (mg_u_long), SEEK_SET);
 
   B = pow (U / L, pow (2.0, -(double) bits));
@@ -392,5 +392,5 @@
   for (buf = pos = i = 0; i < NumPara; i++)
     {
-      unsigned long fx;
+      mg_u_long fx;
       float wgt;
       fread ((char *) &wgt, sizeof (wgt), 1, exact);
@@ -476,5 +476,5 @@
     struct
       {
-	unsigned long Start;
+	mg_u_long Start;
 	float Weight;
       }
@@ -483,5 +483,5 @@
       {
 	int count;
-	fread ((char *) &data.Start, sizeof (unsigned long), 1, idx);
+	fread ((char *) &data.Start, sizeof (mg_u_long), 1, idx);
 	if (para && i < cth.num_of_docs)
 	  {
@@ -502,5 +502,5 @@
       }
     /* Write out the extra entry for the idx file */
-    fread ((char *) &data.Start, sizeof (unsigned long), 1, idx);
+    fread ((char *) &data.Start, sizeof (mg_u_long), 1, idx);
     data.Weight = 0;
     fwrite((char*)&data, sizeof(data), 1, idx_wgt);
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/mgdictlist.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/mgdictlist.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/mgdictlist.c	(revision 25147)
@@ -73,5 +73,5 @@
 int quick = 0;
 int no_of_words[2];
-u_long maxcodelen[2];
+mg_u_long maxcodelen[2];
 
 char *dictname = "";
@@ -102,15 +102,15 @@
 
   if (quick)
-    printf ("%ld\n", idh.dict_size);
+    printf ("%d\n", idh.dict_size);
   else
     {
-      printf ("# lookback           = %lu\n", idh.lookback);
-      printf ("# dict size          = %lu\n", idh.dict_size);
-      printf ("# total bytes        = %lu\n", idh.total_bytes);
-      printf ("# index string bytes = %lu\n", idh.index_string_bytes);
+      printf ("# lookback           = %u\n", idh.lookback);
+      printf ("# dict size          = %u\n", idh.dict_size);
+      printf ("# total bytes        = %u\n", idh.total_bytes);
+      printf ("# index string bytes = %u\n", idh.index_string_bytes);
       printf ("# input bytes        = %.0f\n", idh.input_bytes); /* [RJM 07/97: 4G limit] */
-      printf ("# num of docs        = %lu\n", idh.num_of_docs);
-      printf ("# static num of docs = %lu\n", idh.static_num_of_docs);
-      printf ("# num of words       = %lu\n", idh.num_of_words);
+      printf ("# num of docs        = %u\n", idh.num_of_docs);
+      printf ("# static num of docs = %u\n", idh.static_num_of_docs);
+      printf ("# num of words       = %u\n", idh.num_of_words);
       printf ("#\n");
     }
@@ -118,6 +118,6 @@
   for (i = 0; i < idh.dict_size; i++)
     {
-      register unsigned long copy, suff;
-      unsigned long wcnt, fcnt;
+      register mg_u_long copy, suff;
+      mg_u_long wcnt, fcnt;
 
       /* build a new word on top of prev */
@@ -137,11 +137,11 @@
       if (!quick)
 	{
-	  printf ("%d: %8ld ", i, wcnt);
-	  printf ("/ %5ld ", fcnt);
-	  printf ("%2d %2ld\t\"", *prev, copy);
+	  printf ("%d: %8d ", i, wcnt);
+	  printf ("/ %5d ", fcnt);
+	  printf ("%2d %2d\t\"", *prev, copy);
 	}
       printf ("%s", word2str (prev));
       if (quick)
-	printf (" %ld %ld\n", wcnt, fcnt);
+	printf (" %d %d\n", wcnt, fcnt);
       else
 	{
@@ -159,5 +159,5 @@
 {
   comp_frags_header cfh;
-  u_long *codes;
+  mg_u_long *codes;
   u_char prev[MAXSTEMLEN + 1];
   int i;
@@ -168,5 +168,5 @@
   printf ("#\n");
   printf ("#   max code len       = %u\n", cfh.hd.maxcodelen);
-  printf ("#   total bytes        = %lu\n", cfh.uncompressed_size);
+  printf ("#   total bytes        = %d\n", cfh.uncompressed_size);
   printf ("#\n");
 
@@ -202,5 +202,5 @@
   int i;
   huff_data hd;
-  u_long *codes;
+  mg_u_long *codes;
 
   if (Read_Huffman_Data (f, &hd, NULL, NULL) == -1)
@@ -232,5 +232,5 @@
   int i;
   huff_data hd;
-  u_long *codes;
+  mg_u_long *codes;
 
   if (Read_Huffman_Data (f, &hd, NULL, NULL) == -1)
@@ -280,9 +280,9 @@
       break;
     }
-  printf ("# num words          = %lu\n", cdh.num_words[1]);
-  printf ("# num word chars     = %lu\n", cdh.num_word_chars[1]);
-  printf ("# num non-words      = %lu\n", cdh.num_words[0]);
-  printf ("# num non-word chars = %lu\n", cdh.num_word_chars[0]);
-  printf ("# lookback           = %lu\n", cdh.lookback);
+  printf ("# num words          = %d\n", cdh.num_words[1]);
+  printf ("# num word chars     = %d\n", cdh.num_word_chars[1]);
+  printf ("# num non-words      = %d\n", cdh.num_words[0]);
+  printf ("# num non-word chars = %d\n", cdh.num_word_chars[0]);
+  printf ("# lookback           = %d\n", cdh.lookback);
 
   for (which = 0; which < 2; which++)
@@ -338,5 +338,5 @@
 
       if (!quick)
-	printf ("#\n# num %9s      = %lu\n#\n", i ? "words" : "non-words",
+	printf ("#\n# num %9s      = %u\n#\n", i ? "words" : "non-words",
 		fsh.num_frags);
 
@@ -344,5 +344,5 @@
 	{
 	  u_char Word[16];
-	  u_long freq, occur_num;
+	  mg_u_long freq, occur_num;
 
 	  fread (&freq, sizeof (freq), 1, f);
@@ -355,5 +355,5 @@
 	  Word[0] = fgetc (f);
 	  fread (Word + 1, Word[0], 1, f);
-	  printf ("%d: %7ld : %7ld : \"%s\"\n", j, freq,
+	  printf ("%d: %7d : %7d : \"%s\"\n", j, freq,
 		  occur_num, word2str (Word));
 	}
@@ -365,5 +365,5 @@
 {
   FILE *fp;
-  unsigned long magic = 0;
+  mg_u_long magic = 0;
 
   if (argc < 2)
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/mgpass.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/mgpass.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/mgpass.c	(revision 25147)
@@ -100,7 +100,7 @@
 #define path_length 256
 
-unsigned long buf_size = 3 * 1024 * 1024;       /* 3Mb */
-unsigned long invf_buffer_size = 5 * 1024 * 1024;       /* 5Mb */
-unsigned long ChunkLimit = 0;
+mg_u_long buf_size = 3 * 1024 * 1024;       /* 3Mb */
+mg_u_long invf_buffer_size = 5 * 1024 * 1024;       /* 5Mb */
+mg_u_long ChunkLimit = 0;
 char InvfLevel = 2;
 char SkipSGML = 0;
@@ -115,5 +115,5 @@
 
 static char Passes = 0;
-static unsigned long trace = 0;
+static mg_u_long trace = 0;
 static int Dump = 0;
 static char **files = NULL;
@@ -237,5 +237,5 @@
 void search(char *dname, char *fname)
 {
-  long dirtag;  struct _finddata_t dirinfo;  int in_fd;  char *res;
+  mg_s_long dirtag;  struct _finddata_t dirinfo;  int in_fd;  char *res;
   char search_name[path_length], found_name[path_length];
 
@@ -433,5 +433,5 @@
 	  break;
 	case 't':
-	  trace = (unsigned long) (atof (optarg) * 1024 * 1024);
+	  trace = (mg_u_long) (atof (optarg) * 1024 * 1024);
 	  break;
 	case 'h':
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/mgquery.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/mgquery.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/mgquery.c	(revision 25147)
@@ -143,5 +143,5 @@
 #ifdef TREC_MODE
 char *trec_ids = NULL;
-long *trec_paras = NULL;
+mg_s_long *trec_paras = NULL;
 #endif
 
@@ -264,5 +264,5 @@
 
 #ifdef USE_PROCESS_MEM
-static u_long 
+static mg_u_long 
 process_mem (void)
 {
@@ -272,5 +272,5 @@
     {
       char buf[128];
-      sprintf (buf, "/proc/%ld", (long) getpid ());
+      sprintf (buf, "/proc/%d", (mg_s_long) getpid ());
       fd = open (buf, O_RDONLY);
     }
@@ -347,8 +347,8 @@
 StatFile (File * F)
 {
-  static unsigned long NumBytes = 0, NumSeeks = 0, NumReads = 0;
+  static mg_u_long NumBytes = 0, NumSeeks = 0, NumReads = 0;
   if (F) 
     {
-      if ((int) F != -1)
+      if ((intptr_t) F != -1)
 	{
 	  if (!BooleanEnv (GetEnv ("briefstats"), 0))
@@ -533,11 +533,11 @@
 /* num should be greater than or equal to 1 */
 int 
-RawDocOutput (query_data * qd, u_long num, FILE * Output)
-{
-  static u_long last_pos = 0;
+RawDocOutput (query_data * qd, mg_u_long num, FILE * Output)
+{
+  static mg_u_long last_pos = 0;
   static u_char *c_buffer = 0;
   static int buf_len = -1;
   static u_char *uc_buffer = 0;
-  u_long pos, len;
+  mg_u_long pos, len;
   int ULen;
 
@@ -570,5 +570,5 @@
 void 
 StringOut (FILE * Output, char *string,
-	   int intvalid, unsigned long intval,
+	   int intvalid, mg_u_long intval,
 	   int floatvalid, double floatval)
 {
@@ -583,5 +583,5 @@
 	  case 'n':
 	    if (intvalid)
-	      fprintf (Output, "%lu", intval);
+	      fprintf (Output, "%d", intval);
 	    else
 	      fprintf (Output, "%%n");
@@ -603,5 +603,5 @@
 
 void 
-HeaderOut (FILE * Output, u_char * UDoc, unsigned long ULen, int heads_length)
+HeaderOut (FILE * Output, u_char * UDoc, mg_u_long ULen, int heads_length)
 {
   int i, space = 1, num = 0;
@@ -688,5 +688,5 @@
     {
       u_char *UDoc = NULL;
-      unsigned long ULen;
+      mg_u_long ULen;
 
       if (need_text)
@@ -760,5 +760,5 @@
 		    }
 #else
-		fprintf (Output, "%7d   %6.4f   %7lu\n", GetDocNum (qd),
+		fprintf (Output, "%7d   %6.4f   %7u\n", GetDocNum (qd),
 			 GetDocWeight (qd), GetDocCompLength (qd));
 #endif
@@ -776,10 +776,10 @@
 	      if (PagerRunning && trec_ids)
 		{
-		  long DN, PN = GetDocNum (qd) - 1;
+		  mg_s_long DN, PN = GetDocNum (qd) - 1;
 		  if (trec_paras)
 		    DN = trec_paras[PN];
 		  else
 		    DN = PN;
-		  fprintf (Output, "%-14.14s  %8ld  %10.5f\n",
+		  fprintf (Output, "%-14.14s  %8d  %10.5f\n",
 			   &trec_ids[DN * 14], PN + 1, GetDocWeight (qd));
 		}
@@ -991,5 +991,5 @@
 	  return;
 	}
-      sprintf (pager, "%s --style=%s --pager=%s --stem_method=%ld --stemmer=%ld %s",
+      sprintf (pager, "%s --style=%s --pager=%s --stem_method=%d --stemmer=%d %s",
 	       HILITE_PAGER,
 	       GetEnv ("hilite_style"),
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/mgstat.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/mgstat.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/mgstat.c	(revision 25147)
@@ -70,5 +70,5 @@
 void ProcessDict (char *);
 void ProcessStem (char *);
-long ProcessStemBlk (char *name);  /* [RPAP - Jan 97: Stem Index Change] */
+mg_s_long ProcessStemBlk (char *name);  /* [RPAP - Jan 97: Stem Index Change] */
 
 static mg_ullong inputbytes = 0;
@@ -86,5 +86,5 @@
   int ch;
   int exact = 0;
-  long indexed = 0; /* [RPAP - Jan 97: Stem Index Change] */
+  mg_s_long indexed = 0; /* [RPAP - Jan 97: Stem Index Change] */
   opterr = 0;
   while ((ch = getopt (argc, argv, "Ehf:d:")) != -1)
@@ -258,9 +258,9 @@
     {
       inputbytes = cth.num_of_bytes;
-      printf ("Input bytes                        : %10" ULL_FS ", %8.2f Mbyte\n",
+      printf ("Input bytes                        : %10f, %8.2f Mbyte\n",
 	      cth.num_of_bytes, (double) cth.num_of_bytes / 1024 / 1024);
-      printf ("Documents                          : %10lu\n", cth.num_of_docs);
-      printf ("Words in collection [dict]         : %10lu\n", cth.num_of_words);
-      printf ("Longest doc in collection [dict]   : %10lu characters\n",
+      printf ("Documents                          : %10d\n", cth.num_of_docs);
+      printf ("Words in collection [dict]         : %10d\n", cth.num_of_words);
+      printf ("Longest doc in collection [dict]   : %10d characters\n",
 	      cth.length_of_longest_doc);
       printf ("Maximum ratio                      : %10.2f\n", cth.ratio);
@@ -269,8 +269,8 @@
   if (have_cdh)
     {
-      printf ("Words in dict                      : %10lu\n", cdh.num_words[1]);
-      printf ("Non-words in dict                  : %10lu\n", cdh.num_words[0]);
-      printf ("Total chars of distinct words      : %10lu\n", cdh.num_word_chars[1]);
-      printf ("Total chars of distinct non-words  : %10lu\n", cdh.num_word_chars[0]);
+      printf ("Words in dict                      : %10d\n", cdh.num_words[1]);
+      printf ("Non-words in dict                  : %10d\n", cdh.num_words[0]);
+      printf ("Total chars of distinct words      : %10d\n", cdh.num_word_chars[1]);
+      printf ("Total chars of distinct non-words  : %10d\n", cdh.num_word_chars[0]);
     }
 
@@ -294,8 +294,8 @@
     return;
   fread ((char *) &idh, sizeof (idh), 1, f);
-  printf ("Words in collection [stem]         : %10ld\n", NTOHUL(idh.num_of_words));  /* [RPAP - Jan 97: Endian Ordering] */
-  printf ("Words in stem                      : %10ld\n", NTOHUL(idh.dict_size));  /* [RPAP - Jan 97: Endian Ordering] */
-  printf ("Indexed fragments                  : %10ld\n", NTOHUL(idh.num_of_docs));  /* [RPAP - Jan 97: Endian Ordering] */
-  printf ("Total chars of stem words          : %10ld\n", NTOHUL(idh.total_bytes));  /* [RPAP - Jan 97: Endian Ordering] */
+  printf ("Words in collection [stem]         : %10d\n", NTOHUL(idh.num_of_words));  /* [RPAP - Jan 97: Endian Ordering] */
+  printf ("Words in stem                      : %10d\n", NTOHUL(idh.dict_size));  /* [RPAP - Jan 97: Endian Ordering] */
+  printf ("Indexed fragments                  : %10d\n", NTOHUL(idh.num_of_docs));  /* [RPAP - Jan 97: Endian Ordering] */
+  printf ("Total chars of stem words          : %10d\n", NTOHUL(idh.total_bytes));  /* [RPAP - Jan 97: Endian Ordering] */
   fclose (f);
 }
@@ -306,5 +306,5 @@
 
 /* [RPAP - Jan 97: Stem Index Change] */
-long 
+mg_s_long 
 ProcessStemBlk (char *name)
 {
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/mgstemidxlist.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/mgstemidxlist.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/mgstemidxlist.c	(revision 25147)
@@ -36,5 +36,5 @@
 read_3_in_4 (FILE * idbi)
 {
-  unsigned long i;
+  mg_u_long i;
   stemmed_idx *si;
   u_char *buffer;
@@ -106,18 +106,18 @@
     }
 
-  printf ("# lookback     = %lu\n", si->sih.lookback);
-  printf ("# block_size   = %lu\n", si->sih.block_size);
-  printf ("# num_blocks   = %lu\n", si->sih.num_blocks);
-  printf ("# blocks_start = %lu\n", si->sih.blocks_start);
-  printf ("# index_chars  = %lu\n", si->sih.index_chars);
-  printf ("# num_of_words = %lu\n", si->sih.num_of_words);
+  printf ("# lookback     = %u\n", si->sih.lookback);
+  printf ("# block_size   = %u\n", si->sih.block_size);
+  printf ("# num_blocks   = %u\n", si->sih.num_blocks);
+  printf ("# blocks_start = %u\n", si->sih.blocks_start);
+  printf ("# index_chars  = %u\n", si->sih.index_chars);
+  printf ("# num_of_words = %u\n", si->sih.num_of_words);
 
   block = 0;
   while (block < si->sih.num_blocks)
     {
-      unsigned long *first_word;
+      mg_u_long *first_word;
       unsigned short *num_words;
       unsigned short *index;
-      long res;
+      mg_s_long res;
       u_char *base;
       int num_indexes;
@@ -128,5 +128,5 @@
       si->active = si->pos[block];
 
-      first_word = (unsigned long *) (si->buffer);
+      first_word = (mg_u_long *) (si->buffer);
       NTOHUL(*first_word);  /* [RPAP - Jan 97: Endian Ordering] */
       num_words = (unsigned short *) (first_word + 1);
@@ -143,5 +143,5 @@
 
       printf ("\n# block      = %d\n", block);
-      printf ("# first_word = %lu\n", *first_word);
+      printf ("# first_word = %u\n", *first_word);
       printf ("# num_words  = %u\n", *num_words);
 
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/query.docnums.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/query.docnums.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/query.docnums.c	(revision 25147)
@@ -64,5 +64,5 @@
 {
   DocList *Docs = MakeDocList (0);
-  unsigned long start = 0, finish;
+  mg_u_long start = 0, finish;
   int range = 0; /* is there a range or not ? */
 
@@ -75,5 +75,5 @@
 	  finish <= qd->sd->sdh.num_of_docs)
 	{
-	  unsigned long i;
+	  mg_u_long i;
 	  if (!range)
 	    start = finish;
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/query.ranked.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/query.ranked.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/query.ranked.c	(revision 25147)
@@ -89,6 +89,6 @@
     float *OrgWeight;
     int DocNum;
-    u_long SeekPos;		/* position in the text file in bytes */
-    u_long Len;			/* length of the document in bytes */
+    mg_u_long SeekPos;		/* position in the text file in bytes */
+    mg_u_long Len;			/* length of the document in bytes */
   }
 HeapEntry;
@@ -290,6 +290,6 @@
     {
       int j;
-      long num_entries, word_num;
-      unsigned long count, doc_count, invf_ptr, invf_len;
+      mg_s_long num_entries, word_num;
+      mg_u_long count, doc_count, invf_ptr, invf_len;
       int weight_to_apply, stem_to_apply;
       int method_using = -1;
@@ -408,5 +408,5 @@
 	    {
 	      int i;
-	      u_long max_doc_count = 0;
+	      mg_u_long max_doc_count = 0;
 
 	      /* get the maximum doc count */
@@ -748,5 +748,5 @@
 	    for (i = 0; i < ST->no_of_items; i++, ide = SP_get_next (ST))
 	      {
-		u_long SeekPos, Len;
+		mg_u_long SeekPos, Len;
 		float Weight;
 		if (!ide->Sum)
@@ -777,5 +777,5 @@
 	    for (i = 0; i < qd->sd->sdh.num_of_docs; i++, fptr++)
 	      {
-		u_long SeekPos, Len;
+		mg_u_long SeekPos, Len;
 		float Weight;
 		if (!*fptr)
@@ -803,5 +803,5 @@
 	    for (ideh = HT->Head; ideh; ideh = ideh->next)
 	      {
-		u_long SeekPos, Len;
+		mg_u_long SeekPos, Len;
 		float Weight;
 		if (!ideh->IDE.Sum)
@@ -829,5 +829,5 @@
 	    for (i = 0; i < LT->num; i++, ide++)
 	      {
-		u_long SeekPos, Len;
+		mg_u_long SeekPos, Len;
 		float Weight;
 		if (!ide->Sum)
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/stem_search.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/stem_search.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/stem_search.c	(revision 25147)
@@ -83,5 +83,5 @@
 ReadStemDictBlk (File * stem_file)
 {
-  unsigned long i;
+  mg_u_long i;
   stemmed_dict *sd;
   u_char *buffer;
@@ -173,5 +173,5 @@
 ReadStemIdxBlk (File * stem_idx_file)
 {
-  unsigned long i;
+  mg_u_long i;
   stemmed_idx *si;
   u_char *buffer;
@@ -300,20 +300,20 @@
  * This function looks up a word in the stemmed dictionary, it returns -1
  * if the word cound not be found, and 0 if it successfully finds the word.
- * If count is non-null the ulong it is pointing to is set to the number of 
+ * If count is non-null the unsigned it is pointing to is set to the number of 
  * occurances of the stemmed word in the collection. i.e wcnt.
- * If doc_count is non-null the ulong it is pointing to is set to the number
+ * If doc_count is non-null the unsigned it is pointing to is set to the number
  * of documents that the word occurs in. i.e fcnt
- * If invf_ptr is non-null the ulong it is pointing to is set to the position
+ * If invf_ptr is non-null the unsigned it is pointing to is set to the position
  * of the inverted file where the entry for this word start.
  */
 int 
-FindWord (stemmed_dict * sd, u_char * Word, unsigned long *count,
-	  unsigned long *doc_count, unsigned long *invf_ptr,
-	  unsigned long *invf_len)
+FindWord (stemmed_dict * sd, u_char * Word, mg_u_long *count,
+	  mg_u_long *doc_count, mg_u_long *invf_ptr,
+	  mg_u_long *invf_len)
 {
   register int lo, hi, mid, c;
   register unsigned int res;
   int block, num_indexes;
-  unsigned long *first_word, *last_invf_len;
+  mg_u_long *first_word, *last_invf_len;
   unsigned short *num_words;
   u_char *base;
@@ -332,7 +332,7 @@
 
       /* [RPAP - Jan 97: Endian Ordering] */
-      first_word = (unsigned long *) (sd->buffer);
+      first_word = (mg_u_long *) (sd->buffer);
       NTOHUL(*first_word);
-      last_invf_len = (unsigned long *) (first_word + 1);
+      last_invf_len = (mg_u_long *) (first_word + 1);
       NTOHUL(*last_invf_len);
       num_words = (unsigned short *) (last_invf_len + 1);
@@ -346,6 +346,6 @@
   else
     {
-      first_word = (unsigned long *) (sd->buffer);
-      last_invf_len = (unsigned long *) (first_word + 1);
+      first_word = (mg_u_long *) (sd->buffer);
+      last_invf_len = (mg_u_long *) (first_word + 1);
       num_words = (unsigned short *) (last_invf_len + 1);
       index = num_words + 1;
@@ -379,5 +379,5 @@
     {
       unsigned copy, suff;
-      unsigned long invfp;
+      mg_u_long invfp;
       if (res >= *num_words)
 	return (-1);
@@ -417,5 +417,5 @@
 	{
 	  /* Calculate invf_len is necessary */
-	  unsigned long next_invfp;
+	  mg_u_long next_invfp;
 	  if (!invf_len)
 	    return (*first_word + res);
@@ -432,5 +432,5 @@
 	  base++;
 	  suff = *base++;
-	  base += suff + sizeof (unsigned long) * 2;
+	  base += suff + sizeof (mg_u_long) * 2;
 	  bcopy ((char *) base, (char *) &next_invfp, sizeof (next_invfp));
 	  NTOHUL(next_invfp);  /* [RPAP - Jan 97: Endian Ordering] */
@@ -453,5 +453,5 @@
 
   int block, num_indexes;
-  unsigned long *first_word, *last_invf_len;
+  mg_u_long *first_word, *last_invf_len;
   unsigned short *num_words;
   u_char *base;
@@ -460,5 +460,5 @@
 
   int idx_block, idx_num_indexes;
-  unsigned long *idx_first_word;
+  mg_u_long *idx_first_word;
   unsigned short *idx_num_words;
   u_char *idx_base;
@@ -512,5 +512,5 @@
       si->active = si->pos[idx_block];
 
-      idx_first_word = (unsigned long *) (si->buffer);
+      idx_first_word = (mg_u_long *) (si->buffer);
       NTOHUL(*idx_first_word);  /* [RPAP - Jan 97: Endian Ordering] */
       idx_num_words = (unsigned short *) (idx_first_word + 1);
@@ -525,5 +525,5 @@
   else
     {
-      idx_first_word = (unsigned long *) (si->buffer);
+      idx_first_word = (mg_u_long *) (si->buffer);
       idx_num_words = (unsigned short *) (idx_first_word + 1);
       idx_index = idx_num_words + 1;
@@ -591,5 +591,5 @@
     {
       unsigned copy, suff;
-      unsigned long invfp;
+      mg_u_long invfp;
       /* Read next stem index pos */
       bcopy ((char *) idx_base, (char *) &num_cases, sizeof (num_cases));
@@ -613,7 +613,7 @@
 	  sd->active = sd->pos[block];
 
-	  first_word = (unsigned long *) (sd->buffer);
+	  first_word = (mg_u_long *) (sd->buffer);
 	  NTOHUL(*first_word);  /* [RPAP - Jan 97: Endian Ordering] */
-	  last_invf_len = (unsigned long *) (first_word + 1);
+	  last_invf_len = (mg_u_long *) (first_word + 1);
 	  NTOHUL(*last_invf_len);  /* [RPAP - Jan 97: Endian Ordering] */
 	  num_words = (unsigned short *) (last_invf_len + 1);
@@ -628,6 +628,6 @@
       else
 	{
-	  first_word = (unsigned long *) (sd->buffer);
-	  last_invf_len = (unsigned long *) (first_word + 1);
+	  first_word = (mg_u_long *) (sd->buffer);
+	  last_invf_len = (mg_u_long *) (first_word + 1);
 	  num_words = (unsigned short *) (last_invf_len + 1);
 	  index = num_words + 1;
@@ -646,7 +646,7 @@
 	  base += suff;
 	  *prev = copy + suff;
-	  base += sizeof (unsigned long);   /* skip doc_count */
-	  base += sizeof (unsigned long);   /* skip count */
-	  base += sizeof (unsigned long);   /* skip invf_ptr */
+	  base += sizeof (mg_u_long);   /* skip doc_count */
+	  base += sizeof (mg_u_long);   /* skip count */
+	  base += sizeof (mg_u_long);   /* skip invf_ptr */
 	  res++;
 	}
@@ -694,5 +694,5 @@
 	  else
 	    {
-	      unsigned long next_invfp;
+	      mg_u_long next_invfp;
 	      u_char *oldbase = base;
 		  
@@ -700,5 +700,5 @@
 	      base++;
 	      suff = *base++;
-	      base += suff + sizeof (unsigned long) * 2;
+	      base += suff + sizeof (mg_u_long) * 2;
 	      bcopy ((char *) base, (char *) &next_invfp, sizeof (next_invfp));
 	      NTOHUL(next_invfp);  /* [RPAP - Jan 97: Endian Ordering] */
@@ -720,7 +720,7 @@
 	      sd->active = sd->pos[block];
 
-	      first_word = (unsigned long *) (sd->buffer);
+	      first_word = (mg_u_long *) (sd->buffer);
 	      NTOHUL(*first_word);  /* [RPAP - Jan 97: Endian Ordering] */
-	      last_invf_len = (unsigned long *) (first_word + 1);
+	      last_invf_len = (mg_u_long *) (first_word + 1);
 	      NTOHUL(*last_invf_len);  /* [RPAP - Jan 97: Endian Ordering] */
 	      num_words = (unsigned short *) (last_invf_len + 1);
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/stem_search.h
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/stem_search.h	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/stem_search.h	(revision 25147)
@@ -29,7 +29,7 @@
 stemmed_idx *ReadStemIdxBlk (File * stem_idx_file);
 
-int FindWord (stemmed_dict * sd, u_char * Word, unsigned long *count,
-	      unsigned long *doc_count, unsigned long *invf_ptr,
-	      unsigned long *invf_len);
+int FindWord (stemmed_dict * sd, u_char * Word, mg_u_long *count,
+	      mg_u_long *doc_count, mg_u_long *invf_ptr,
+	      mg_u_long *invf_len);
 
 /* [RPAP - Jan 97: Stem Index Change] */
